import junit.framework.Assert;
import junit.framework.TestCase;

/**
 * @author borning
 */

public class BankAccountTest extends TestCase {

	BankAccount acct;

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		acct = new BankAccount();
	}

	/**
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
		acct = null;
	}

	public void testBalance() {
		/* a newly constructed account should have a 0 balance */
		BankAccount b = new BankAccount();
		Assert.assertEquals(b.balance(), 0);
	}

	public void testDeposit() {
		int old = acct.balance();
		acct.deposit(100);
		Assert.assertEquals(acct.balance(), old + 100);
	}

	public void testWithdraw() {
		int old = acct.balance();
		acct.withdraw(200);
		Assert.assertEquals(acct.balance(), old - 200);
	}
}
